Package org.springframework.security.web.firewall

# Interface RequestRejectedHandler

All Known Implementing Classes:
  `CompositeRequestRejectedHandler`, `DefaultRequestRejectedHandler`, `HttpStatusRequestRejectedHandler`, `ObservationMarkingRequestRejectedHandler`

public interface RequestRejectedHandler
Used by `FilterChainProxy` to handle an `RequestRejectedException`.

Since:
  5.4

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException requestRejectedException)`
Handles an request rejected failure.

## Method Details

### handle

void handle(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, RequestRejectedException requestRejectedException) throws IOException, jakarta.servlet.ServletException
Handles an request rejected failure.

Parameters:
  `request` - that resulted in an `RequestRejectedException`
  `response` - so that the user agent can be advised of the failure
  `requestRejectedException` - that caused the invocation
Throws:
  `IOException` - in the event of an IOException
  `jakarta.servlet.ServletException` - in the event of a ServletException